rule-providers:
  direct-rule-set:
    type: http
    path: ./ruleset/direct-rule-set.yml
    url: "https://dl.sunriseydy.dev/clash/direct-rule-set.yml"
    interval: 86400
    proxy: DIRECT
    behavior: classical
    format: yaml
    size-limit: 0
  game-rule-set:
    type: http
    path: ./ruleset/game-rule-set.yml
    url: "https://dl.sunriseydy.dev/clash/game-rule-set.yml"
    interval: 86400
    proxy: DIRECT
    behavior: classical
    format: yaml
    size-limit: 0
  japan-rule-set:
    type: http
    path: ./ruleset/japan-rule-set.yml
    url: "https://dl.sunriseydy.dev/clash/japan-rule-set.yml"
    interval: 86400
    proxy: DIRECT
    behavior: classical
    format: yaml
    size-limit: 0
  proxy-rule-set:
    type: http
    path: ./ruleset/proxy-rule-set.yml
    url: "https://dl.sunriseydy.dev/clash/proxy-rule-set.yml"
    interval: 86400
    proxy: DIRECT
    behavior: classical
    format: yaml
    size-limit: 0
dns:
  enable: true
  listen: ':53'
  enhanced-mode: 'redir-host'
  fake-ip-range: '198.18.0.1/16'
  fake-ip-filter-mode: 'blacklist'
  prefer-h3: false
  respect-rules: false
  use-hosts: true
  use-system-hosts: true
  fake-ip-filter:
    - '+.marong.moe'
    - '*.lan'
    - '*.local'
    - '*.arpa'
    - 'time.*.com'
    - 'ntp.*.com'
    - 'time.*.com'
    - '+.market.xiaomi.com'
    - 'localhost.ptlogin2.qq.com'
    - '*.msftncsi.com'
    - 'www.msftconnecttest.com'
  default-nameserver:
    - '223.5.5.5'
  nameserver:
    - 'https://doh.pub/dns-query'
    - 'https://dns.alidns.com/dns-query'
  direct-nameserver-follow-policy: true
  fallback-filter:
    geoip: true
    geoip-code: 'CN'
    ipcidr:
      - '240.0.0.0/4'
      - '0.0.0.0/32'
    domain:
      - '+.google.com'
      - '+.facebook.com'
      - '+.youtube.com'
  fallback:
    - 'tls://8.8.4.4'
    - 'tls://1.1.1.1'
  nameserver-policy:
    '+.marong.moe': 'system'
  proxy-server-nameserver:
    - 'https://doh.pub/dns-query'
  direct-nameserver:
    - 'system'

